Subject: [PATCH 16/21] ASoC: Ux500: Enable MOP500 driver for Device Tree

From: [email-masked] (Lee Jones)
Date: Thu, 26 Jul 2012 14:51:09 +0100

On 26/07/12 12:37, Mark Brown wrote:> On Thu, Jul 26, 2012 at 11:28:49AM +0100, Lee Jones wrote:
> 
>>   arch/arm/mach-ux500/board-mop500-msp.c |    3 ---
>>   sound/soc/ux500/mop500.c               |   41 ++++++++++++++++++++++++++++++++
> 
> There is no binding documentation here.  All bindings should be
> documented.

Yes I know. This is more of an RFC _before_ I waste my time writing documentation (again).

>> -	pr_info("%s: Register platform-device 'snd-soc-u8500'.\n", __func__);
>> -	platform_device_register(&snd_soc_mop500);
>> -
> 
> This should be done separately - if it's going to be merged with
> something it should be the patch that adds the relevant DT fragments.

Yes, I can do that.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog